Bug 438816 - HA LVM: lvm_by_vg.sh is stripping tags from all the VGs and not from only the configured one.
HA LVM: lvm_by_vg.sh is stripping tags from all the VGs and not from only the...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager (Show other bugs)
5.2
All Linux
high Severity high
: rc
: ---
Assigned To: Jonathan Earl Brassow
:
Depends On:
Blocks: 438997
  Show dependency treegraph
 
Reported: 2008-03-25 09:35 EDT by Simone Gotti
Modified: 2009-04-16 18:21 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2008-0353
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:31:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix described problem in lvm_by_vg.sh (655 bytes, patch)
2008-03-25 09:35 EDT, Simone Gotti
no flags Details | Diff

  None (edit)
Description Simone Gotti 2008-03-25 09:35:19 EDT
Description of problem:

If I have at least 2 services using HA LVM (1 lvm resource for every service
using of course different VGs) and they are both active on the same node when I
stop one of the services (so one vg) the tags are removed from all the VGs due
to a missing vgname parameter in the call to vgchange --deltag

The attached patch should fix it and also a missing initialization of my_name in
vg_status that will report something like this:

<err>    WARNING: vg01 should not be active
<err>    WARNING:  does not own vg01
<err>    WARNING: Attempting shutdown of vg01

instead of:

<err>    WARNING: vg01 should not be active
<err>    WARNING: node01 does not own vg01
<err>    WARNING: Attempting shutdown of vg01


Thanks!
Bye!
Comment 1 Simone Gotti 2008-03-25 09:35:19 EDT
Created attachment 299019 [details]
Fix described problem in lvm_by_vg.sh
Comment 6 errata-xmlrpc 2008-05-21 10:31:05 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0353.html

Note You need to log in before you can comment on or make changes to this bug.